import javax.swing.*;
import java.awt.Dimension;
import java.awt.BorderLayout;
import java.util.Date;
import java.awt.event.*;

public class JSpinnerTest16 extends JFrame implements ActionListener{

  SpinnerDateModel model;

  public static void main(String[] args){
    JSpinnerTest16 frame = new JSpinnerTest16();

    frame.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
    frame.setBounds(10, 10, 300, 200);
    frame.setTitle("^Cg");
    frame.setVisible(true);
  }

  JSpinnerTest16(){
    model = new SpinnerDateModel();

    JSpinner spinner = new JSpinner(model);
    spinner.setPreferredSize(new Dimension(150, 25));

    JPanel p = new JPanel();
    p.add(spinner);

    JButton button = new JButton("get");
    button.addActionListener(this);

    JPanel buttonPanel = new JPanel();
    buttonPanel.add(button);

    getContentPane().add(p, BorderLayout.CENTER);
    getContentPane().add(buttonPanel, BorderLayout.PAGE_END);
  }

  public void actionPerformed(ActionEvent e){
    Date value = model.getDate();

    JOptionPane.showMessageDialog(this, "Date:" + value);
  }
}